package com.cirs.biz.domain;

import java.math.BigDecimal;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.cirs.common.annotation.Excel;
import com.cirs.common.core.domain.BaseEntity;

/**
 * SQD明细对象 t_sqd_detail
 * 
 * @author allen
 * @date 2024-05-01
 */
public class TSqdDetail extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 编号 */
    private Long id;

    /** sqd编号 */
    @Excel(name = "sqd编号")
    private Long sqdId;

    /** 分类代码 */
    @Excel(name = "分类代码")
    private String componentCategoryCode;

    /** 型号规格 */
    @Excel(name = "型号规格")
    private String componentModel;

    /** 生产厂家 */
    @Excel(name = "生产厂家")
    private String manufacturer;

    /** 质量等级 */
    @Excel(name = "质量等级")
    private String qualityGrade;

    /** 封装形式 */
    @Excel(name = "封装形式")
    private String encapsulationMode;

    /** ZZKK等级 */
    @Excel(name = "ZZKK等级")
    private String zzkkLevel;

    /** 价格（元） */
    @Excel(name = "价格", readConverterExp = "元=")
    private BigDecimal unitPrice;

    /** 供货周期（周） */
    @Excel(name = "供货周期", readConverterExp = "周=")
    private BigDecimal deliveryCycle;

    /** WKB情况 */
    @Excel(name = "WKB情况")
    private String wkbInfo;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setSqdId(Long sqdId) 
    {
        this.sqdId = sqdId;
    }

    public Long getSqdId() 
    {
        return sqdId;
    }
    public void setComponentCategoryCode(String componentCategoryCode) 
    {
        this.componentCategoryCode = componentCategoryCode;
    }

    public String getComponentCategoryCode() 
    {
        return componentCategoryCode;
    }
    public void setComponentModel(String componentModel) 
    {
        this.componentModel = componentModel;
    }

    public String getComponentModel() 
    {
        return componentModel;
    }
    public void setManufacturer(String manufacturer) 
    {
        this.manufacturer = manufacturer;
    }

    public String getManufacturer() 
    {
        return manufacturer;
    }
    public void setQualityGrade(String qualityGrade) 
    {
        this.qualityGrade = qualityGrade;
    }

    public String getQualityGrade() 
    {
        return qualityGrade;
    }
    public void setEncapsulationMode(String encapsulationMode) 
    {
        this.encapsulationMode = encapsulationMode;
    }

    public String getEncapsulationMode() 
    {
        return encapsulationMode;
    }
    public void setZzkkLevel(String zzkkLevel) 
    {
        this.zzkkLevel = zzkkLevel;
    }

    public String getZzkkLevel() 
    {
        return zzkkLevel;
    }
    public void setUnitPrice(BigDecimal unitPrice) 
    {
        this.unitPrice = unitPrice;
    }

    public BigDecimal getUnitPrice() 
    {
        return unitPrice;
    }
    public void setDeliveryCycle(BigDecimal deliveryCycle) 
    {
        this.deliveryCycle = deliveryCycle;
    }

    public BigDecimal getDeliveryCycle() 
    {
        return deliveryCycle;
    }
    public void setWkbInfo(String wkbInfo) 
    {
        this.wkbInfo = wkbInfo;
    }

    public String getWkbInfo() 
    {
        return wkbInfo;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("sqdId", getSqdId())
            .append("componentCategoryCode", getComponentCategoryCode())
            .append("componentModel", getComponentModel())
            .append("manufacturer", getManufacturer())
            .append("qualityGrade", getQualityGrade())
            .append("encapsulationMode", getEncapsulationMode())
            .append("zzkkLevel", getZzkkLevel())
            .append("unitPrice", getUnitPrice())
            .append("deliveryCycle", getDeliveryCycle())
            .append("wkbInfo", getWkbInfo())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
