package com.cirs.biz.mapper;

import java.util.List;
import com.cirs.biz.domain.TSqdDetail;

/**
 * SQD明细Mapper接口
 * 
 * @author allen
 * @date 2024-05-01
 */
public interface TSqdDetailMapper 
{
    /**
     * 查询SQD明细
     * 
     * @param id SQD明细主键
     * @return SQD明细
     */
    public TSqdDetail selectTSqdDetailById(Long id);

    /**
     * 查询SQD明细列表
     * 
     * @param tSqdDetail SQD明细
     * @return SQD明细集合
     */
    public List<TSqdDetail> selectTSqdDetailList(TSqdDetail tSqdDetail);




    /**
     * 查询SQD明细列表
     *
     * @param sqdid SQD编号
     * @return SQD明细集合
     */
    public List<TSqdDetail> selectTSqdDetailBySqdid(Long sqdid);

    /**
     * 新增SQD明细
     * 
     * @param tSqdDetail SQD明细
     * @return 结果
     */
    public int insertTSqdDetail(TSqdDetail tSqdDetail);

    public int batchInsertTSqdDetail(List<TSqdDetail> sqddetaillist);

    /**
     * 修改SQD明细
     * 
     * @param tSqdDetail SQD明细
     * @return 结果
     */
    public int updateTSqdDetail(TSqdDetail tSqdDetail);

    /**
     * 删除SQD明细
     * 
     * @param id SQD明细主键
     * @return 结果
     */
    public int deleteTSqdDetailById(Long id);

    /**
     * 批量删除SQD明细
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTSqdDetailByIds(Long[] ids);



    public int getcountbysqdid(Long sqdid);

    public List getcountbysqdidoption(Long[] id);
}
