package com.cirs.biz.service;

import java.util.List;
import com.cirs.biz.domain.TDataPreprocessing;

/**
 * 预处理Service接口
 * 
 * @author fuyanting
 * @date 2024-04-30
 */
public interface ITDataPreprocessingService 
{
    /**
     * 查询预处理
     * 
     * @param id 预处理主键
     * @return 预处理
     */
    public TDataPreprocessing selectTDataPreprocessingById(Long id);

    /**
     * 查询预处理列表
     * 
     * @param tDataPreprocessing 预处理
     * @return 预处理集合
     */
    public List<TDataPreprocessing> selectTDataPreprocessingList(TDataPreprocessing tDataPreprocessing);

    /**
     * 新增预处理
     * 
     * @param tDataPreprocessing 预处理
     * @return 结果
     */
    public int insertTDataPreprocessing(TDataPreprocessing tDataPreprocessing);

    /**
     * 修改预处理
     * 
     * @param tDataPreprocessing 预处理
     * @return 结果
     */
    public int updateTDataPreprocessing(TDataPreprocessing tDataPreprocessing);

    /**
     * 批量删除预处理
     * 
     * @param ids 需要删除的预处理主键集合
     * @return 结果
     */
    public int deleteTDataPreprocessingByIds(Long[] ids);

    /**
     * 删除预处理信息
     * 
     * @param id 预处理主键
     * @return 结果
     */
    public int deleteTDataPreprocessingById(Long id);


}
