package com.cirs.biz.service;

import java.util.List;
import com.cirs.biz.domain.TSqdDetail;

/**
 * SQD明细Service接口
 * 
 * @author allen
 * @date 2024-05-01
 */
public interface ITSqdDetailService 
{
    /**
     * 查询SQD明细
     * 
     * @param id SQD明细主键
     * @return SQD明细
     */
    public TSqdDetail selectTSqdDetailById(Long id);

    /**
     * 查询SQD明细
     *
     * @param sqdid SQD明细主键
     * @return SQD明细
     */
    public List<TSqdDetail> selectTSqdDetailBySqdid(Long sqdid);

    /**
     * 查询SQD明细列表
     * 
     * @param tSqdDetail SQD明细
     * @return SQD明细集合
     */
    public List<TSqdDetail> selectTSqdDetailList(TSqdDetail tSqdDetail);



    /**
     * 新增SQD明细
     * 
     * @param tSqdDetail SQD明细
     * @return 结果
     */
    public int insertTSqdDetail(TSqdDetail tSqdDetail);

    /**
     * 修改SQD明细
     * 
     * @param tSqdDetail SQD明细
     * @return 结果
     */
    public int updateTSqdDetail(TSqdDetail tSqdDetail);

    /**
     * 批量删除SQD明细
     * 
     * @param ids 需要删除的SQD明细主键集合
     * @return 结果
     */
    public int deleteTSqdDetailByIds(Long[] ids);

    /**
     * 删除SQD明细信息
     * 
     * @param id SQD明细主键
     * @return 结果
     */
    public int deleteTSqdDetailById(Long id);

    public int getcountbysqdid(Long sqdid);

    public List getcountbysqdidoption(Long[] id);


}
