package com.cirs.biz.service;

import java.util.List;
import com.cirs.biz.domain.TSqd;

/**
 * 双清单管理Service接口
 * 
 * @author allen
 * @date 2024-04-30
 */
public interface ITSqdService 
{
    /**
     * 查询双清单管理
     * 
     * @param id 双清单管理主键
     * @return 双清单管理
     */
    public TSqd selectTSqdById(Long id);



    /**
     * 查询双清单管理列表
     * 
     * @param tSqd 双清单管理
     * @return 双清单管理集合
     */
    public List<TSqd> selectTSqdList(TSqd tSqd);

    /**
     * 新增双清单管理
     * 
     * @param tSqd 双清单管理
     * @return 结果
     */
    public int insertTSqd(TSqd tSqd);

    /**
     * 修改双清单管理
     * 
     * @param tSqd 双清单管理
     * @return 结果
     */
    public int updateTSqd(TSqd tSqd);

    /**
     * 批量删除双清单管理
     * 
     * @param ids 需要删除的双清单管理主键集合
     * @return 结果
     */
    public int deleteTSqdByIds(Long[] ids);

    /**
     * 删除双清单管理信息
     * 
     * @param id 双清单管理主键
     * @return 结果
     */
    public int deleteTSqdById(Long id);

}
