import request from '@/utils/request'

// 查询预处理列表
export function listPreprocessing(query) {
  return request({
    url: '/biz/preprocessing/list',
    method: 'get',
    params: query
  })
}

// 查询预处理详细
export function getPreprocessing(id) {
  return request({
    url: '/biz/preprocessing/' + id,
    method: 'get'
  })
}

// 新增预处理
export function addPreprocessing(data) {
  return request({
    url: '/biz/preprocessing',
    method: 'post',
    data: data
  })
}

// 修改预处理
export function updatePreprocessing(data) {
  return request({
    url: '/biz/preprocessing',
    method: 'put',
    data: data
  })
}

// 删除预处理
export function delPreprocessing(id) {
  return request({
    url: '/biz/preprocessing/' + id,
    method: 'delete'
  })
}
